diff --git a/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
index a1c6e7c1e..008050db4 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
@@ -7,14 +7,15 @@ import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.List;
 
-public class CommandTellRaw {
-    public static void register(CommandDispatcher<CommandSource> dispatcher) {
+public class CommandTellRaw implements CommandManager.CommandRegistry {
+    public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("tellraw")
                 .requires(CommandSource::hasAdmin)
                 .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
diff --git a/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
index caf9cc437..3dc79c20d 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
@@ -8,6 +8,7 @@ import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
+import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeBlock;
@@ -17,8 +18,8 @@ import net.minecraft.core.net.command.helpers.*;
 
 import java.util.List;
 
-public class CommandTestFor {
-    public static void register(CommandDispatcher<CommandSource> dispatcher) {
+public class CommandTestFor implements CommandManager.CommandRegistry {
+    public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("testfor")
                 .requires(CommandSource::hasAdmin)
                 .then(LiteralArgumentBuilder.<CommandSource>literal("entity")
diff --git a/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
index e90207fd4..739e7e1c3 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
@@ -6,6 +6,7 @@ import com.mojang.brigadier.arguments.IntegerArgumentType;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.Global;
+import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.arguments.ArgumentTypeSeason;
 import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.World;
@@ -15,8 +16,8 @@ import net.minecraft.core.world.season.Season;
 import net.minecraft.core.world.season.SeasonManagerCycle;
 import net.minecraft.core.world.season.Seasons;
 
-public class CommandTime {
-    public static void register(CommandDispatcher<CommandSource> dispatcher) {
+public class CommandTime implements CommandManager.CommandRegistry {
+    public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("time")
             .requires(CommandSource::hasAdmin)
             .then(LiteralArgumentBuilder.<CommandSource>literal("query")
diff --git a/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java b/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
index 7c9717e24..8cb4e8ce2 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
@@ -6,6 +6,7 @@ import com.mojang.brigadier.arguments.FloatArgumentType;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.tree.CommandNode;
+import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.net.command.CommandSource;
@@ -13,8 +14,8 @@ import net.minecraft.core.net.command.arguments.ArgumentTypeTime;
 import net.minecraft.core.net.command.arguments.ArgumentTypeWeather;
 import net.minecraft.core.world.weather.Weathers;
 
-public class CommandWeather {
-    public static void register(CommandDispatcher<CommandSource> dispatcher) {
+public class CommandWeather implements CommandManager.CommandRegistry {
+    public void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("weather")
                 .requires(CommandSource::hasAdmin)
                 .then(LiteralArgumentBuilder.<CommandSource>literal("clear")
diff --git a/src/main/java/net/minecraft/core/net/entity/EntityTracker.java b/src/main/java/net/minecraft/core/net/entity/EntityTracker.java
new file mode 100644
index 000000000..7fd97ecad
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/EntityTracker.java
@@ -0,0 +1,25 @@
+package net.minecraft.core.net.entity;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.net.packet.Packet;
+
+import java.util.Set;
+
+public interface EntityTracker {
+    void trackEntity(Entity entity);
+
+    EntityTrackerEntry trackEntity(Entity entity, int trackingDistance, int packetDelay, boolean shouldSendMotionUpdates);
+
+    void untrackEntity(Entity entity);
+
+    void tick();
+
+    void sendPacketToTrackedPlayers(Entity entity, Packet packet);
+
+    void sendPacketToTrackedPlayersAndTrackedEntity(Entity entity, Packet packet);
+
+    void removeTrackedPlayerSymmetric(Player player);
+
+    Set<? extends EntityTrackerEntry> getTrackedEntries();
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/EntityTrackerEntry.java b/src/main/java/net/minecraft/core/net/entity/EntityTrackerEntry.java
new file mode 100644
index 000000000..5d6db1b59
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/EntityTrackerEntry.java
@@ -0,0 +1,27 @@
+package net.minecraft.core.net.entity;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.net.packet.Packet;
+
+import java.util.List;
+
+public interface EntityTrackerEntry {
+
+    void tick(List<Player> list);
+
+    void sendPacketToTrackedPlayers(Packet packet);
+
+    void sendPacketToTrackedPlayersAndTrackedEntity(Packet packet);
+
+    void sendDestroyEntityPacketToTrackedPlayers();
+
+    void removeFromTrackedPlayers(Player player);
+
+    void updatePlayerEntity(Player player);
+
+    void updatePlayerEntities(List<Player> list);
+    void removeTrackedPlayerSymmetric(Player playerServer);
+
+    Entity getTrackedEntity();
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/IPacketEntry.java b/src/main/java/net/minecraft/core/net/entity/IPacketEntry.java
index 71870482e..08c0645b0 100644
--- a/src/main/java/net/minecraft/core/net/entity/IPacketEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/IPacketEntry.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.net.entity;
 
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.server.entity.EntityTrackerEntry;
 
 public interface IPacketEntry<T> extends INetworkEntry<T> {
     Packet getSpawnPacket(EntityTrackerEntry tracker, T trackedObject);
diff --git a/src/main/java/net/minecraft/core/net/entity/ITrackedEntry.java b/src/main/java/net/minecraft/core/net/entity/ITrackedEntry.java
index 31786c2ec..974bbc7bd 100644
--- a/src/main/java/net/minecraft/core/net/entity/ITrackedEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/ITrackedEntry.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.net.entity;
 
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
-
 public interface ITrackedEntry<T> extends INetworkEntry<T> {
     int getTrackingDistance();
     int getPacketDelay();
diff --git a/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java b/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
index f2aa675a9..cd2233e27 100644
--- a/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
@@ -3,7 +3,6 @@ package net.minecraft.core.net.entity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTrackerEntry;
 
 public interface IVehicleEntry<T> extends IPacketEntry<T> {
     Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner);
diff --git a/src/main/java/net/minecraft/core/net/entity/NetEntityHandler.java b/src/main/java/net/minecraft/core/net/entity/NetEntityHandler.java
index d087fd79f..de6868f89 100644
--- a/src/main/java/net/minecraft/core/net/entity/NetEntityHandler.java
+++ b/src/main/java/net/minecraft/core/net/entity/NetEntityHandler.java
@@ -18,7 +18,6 @@ import net.minecraft.core.net.entity.entries.NetEntrySnowball;
 import net.minecraft.core.net.entity.entries.NetEntrySquid;
 import net.minecraft.core.net.entity.entries.NetEntryPrimedTNT;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 import java.util.ArrayList;
@@ -81,17 +80,17 @@ public class NetEntityHandler {
             sortEntries();
         }
         for (IPacketEntry netEnt : packetEntries){
-            if (netEnt.getAppliedClass().isAssignableFrom(trackerEntry.trackedEntity.getClass())){
+            if (netEnt.getAppliedClass().isAssignableFrom(trackerEntry.getTrackedEntity().getClass())){
                 Packet packet;
                 if (netEnt instanceof IVehicleEntry){
-                    packet = ((IVehicleEntry)netEnt).getSpawnPacket(trackerEntry, trackerEntry.trackedEntity).setType(providerToTypeMap.get(netEnt));
+                    packet = ((IVehicleEntry)netEnt).getSpawnPacket(trackerEntry, trackerEntry.getTrackedEntity()).setType(providerToTypeMap.get(netEnt));
                 } else {
-                    packet = netEnt.getSpawnPacket(trackerEntry, trackerEntry.trackedEntity);
+                    packet = netEnt.getSpawnPacket(trackerEntry, trackerEntry.getTrackedEntity());
                 }
                 return packet;
             }
         }
-        throw new IllegalArgumentException("Don't know how to add " + trackerEntry.trackedEntity.getClass() + "!");
+        throw new IllegalArgumentException("Don't know how to add " + trackerEntry.getTrackedEntity().getClass() + "!");
     }
     @SuppressWarnings("unchecked")
     public static <T> ITrackedEntry<T> getTrackedEntry(T entity){
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
index 06ec1769f..1c064a456 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.animal.Creature;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.net.packet.AddMobPacket;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryAnimal<T extends Creature> implements IPacketEntry<T>, ITrackedEntry<T> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
index 3cc67a47d..0041b8f0a 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
@@ -5,12 +5,12 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.projectile.ProjectileArrow;
 import net.minecraft.core.entity.projectile.ProjectileArrowGolden;
 import net.minecraft.core.entity.projectile.ProjectileArrowPurple;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryArrow implements IVehicleEntry<ProjectileArrow>, ITrackedEntry<ProjectileArrow> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
index a26eb2cab..3d0d78d16 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.vehicle.EntityBoat;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryBoat implements IVehicleEntry<EntityBoat>, ITrackedEntry<EntityBoat> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
index 753663735..66e5cb57f 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
@@ -3,12 +3,12 @@ package net.minecraft.core.net.entity.entries;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityFishingBobber;
 import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryBobber implements IVehicleEntry<EntityFishingBobber>, ITrackedEntry<EntityFishingBobber> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
index fa46e44e6..7332554d1 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
@@ -3,12 +3,12 @@ package net.minecraft.core.net.entity.entries;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.projectile.ProjectileCannonball;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryCannonball implements IVehicleEntry<ProjectileCannonball>, ITrackedEntry<ProjectileCannonball> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
index 27a5459b9..4ad2a3e4f 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.projectile.ProjectileEgg;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryEgg implements IVehicleEntry<ProjectileEgg>, ITrackedEntry<ProjectileEgg> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
index c6daabc21..eb23a029b 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
@@ -3,13 +3,13 @@ package net.minecraft.core.net.entity.entries;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityFallingBlock;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryFallingBlock implements IVehicleEntry<EntityFallingBlock>, ITrackedEntry<EntityFallingBlock> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
index 990bd5f29..6d241ab3e 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.projectile.ProjectileFireball;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryFireball implements IVehicleEntry<ProjectileFireball>, ITrackedEntry<ProjectileFireball> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
index 3ad04539e..55ed09609 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.net.packet.AddItemEntityPacket;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryItem implements IPacketEntry<EntityItem>, ITrackedEntry<EntityItem> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
index a0039d333..a7bd12f50 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.vehicle.MinecartEntity;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryMinecart implements IVehicleEntry<MinecartEntity>, ITrackedEntry<MinecartEntity> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
index 20eb2ecc4..6ff6b30c3 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.EntityPainting;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.net.packet.AddPaintingPacket;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryPainting implements IPacketEntry<EntityPainting>, ITrackedEntry<EntityPainting> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
index fee3e9af7..902023ef9 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.projectile.ProjectilePebble;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryPebble implements IVehicleEntry<ProjectilePebble>, ITrackedEntry<ProjectilePebble> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
index a70ef0599..694fd51da 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
@@ -1,18 +1,18 @@
 package net.minecraft.core.net.entity.entries;
 
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.net.packet.AddPlayerPacket;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
-import net.minecraft.server.entity.player.PlayerServer;
 import org.jetbrains.annotations.NotNull;
 
-public class NetEntryPlayerServer implements IPacketEntry<PlayerServer>, ITrackedEntry<PlayerServer> {
+public class NetEntryPlayerServer implements IPacketEntry<Player>, ITrackedEntry<Player> {
     @Override
-    public @NotNull Class<PlayerServer> getAppliedClass() {
-        return PlayerServer.class;
+    public @NotNull Class<Player> getAppliedClass() {
+        return Player.class;
     }
 
     @Override
@@ -31,16 +31,16 @@ public class NetEntryPlayerServer implements IPacketEntry<PlayerServer>, ITracke
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, PlayerServer trackedObject) {
-        for (EntityTrackerEntry entitytrackerentry : tracker.trackedEntitySet) {
-            if (entitytrackerentry.trackedEntity != trackedObject) {
-                entitytrackerentry.updatePlayerEntity(trackedObject);
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, Player trackedObject) {
+        for (EntityTrackerEntry entry : tracker.getTrackedEntries()) {
+            if (entry.getTrackedEntity() != trackedObject) {
+                entry.updatePlayerEntity(trackedObject);
             }
         }
     }
 
     @Override
-    public Packet getSpawnPacket(EntityTrackerEntry tracker, PlayerServer trackedObject) {
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, Player trackedObject) {
         return new AddPlayerPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
index 44819874a..3e28ff4b4 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityPrimedTNT;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryPrimedTNT implements IVehicleEntry<EntityPrimedTNT>, ITrackedEntry<EntityPrimedTNT> {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
index a67678fed..1d00cba52 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
@@ -2,12 +2,12 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.projectile.ProjectileSnowball;
+import net.minecraft.core.net.entity.EntityTracker;
+import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntrySnowball implements IVehicleEntry<ProjectileSnowball>, ITrackedEntry<ProjectileSnowball> {
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java b/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
index b5f05fccb..e79e77365 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.net.handler.PacketHandler;
-import net.minecraft.server.util.helper.PlayerList;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
@@ -24,7 +23,6 @@ public class UpdatePlayerProfilePacket extends Packet
         this.chatColor = chatColor;
         this.isOnline = isOnline;
         this.isOperator = isOperator;
-        PlayerList.updateList();
     }
 
     @Override
